{"openapi": "3.1.0", "info": {"title": "Electric Air Autoquote API", "version": "0.1.0", "description": "electricair.io"}, "paths": {"/api/login": {"post": {"operationId": "eaJwtLogin", "summary": "Login View", "parameters": [], "responses": {"200": {"description": "OK"}}, "requestBody": {"content": {"application/x-www-form-urlencoded": {"schema": {"title": "FormParams", "type": "object", "properties": {"username": {"title": "Username", "type": "string"}, "password": {"title": "Password", "type": "string"}}, "required": ["username", "password"]}}}, "required": true}}}, "/api/logout": {"post": {"operationId": "eaJwtLogout", "summary": "Logout View", "parameters": [], "responses": {"200": {"description": "OK"}}}}, "/api/public/quote/{quote_uuid}/": {"get": {"operationId": "getPublicQuote", "summary": "Get Form Byquoteid", "parameters": [{"in": "path", "name": "quote_uuid", "schema": {"title": "Quote Uuid", "type": "string"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/PublicQuoteSchema"}}}}}, "tags": ["public", "quotes"]}}, "/api/public/quote/{quote_uuid}/request_contract/": {"post": {"operationId": "requestPublicContract", "summary": "Request Contract", "parameters": [{"in": "path", "name": "quote_uuid", "schema": {"title": "Quote Uuid", "type": "string"}, "required": true}], "responses": {"200": {"description": "OK"}}, "tags": ["public", "quotes"]}}, "/api/public/quote/{quote_uuid}/contract-esign-data": {"post": {"operationId": "getPublicContractEsignData", "summary": "Contract Data", "parameters": [{"in": "path", "name": "quote_uuid", "schema": {"title": "Quote Uuid", "type": "string"}, "required": true}, {"in": "query", "name": "createPacket", "schema": {"default": false, "title": "Createpacket", "type": "boolean"}, "required": false}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/SigningUrlSchema"}}}}}, "tags": ["public", "quotes"]}}, "/api/public/quote/{quote_uuid}/referral-code": {"get": {"operationId": "getPublicReferralCode", "summary": "Get Referral Code", "parameters": [{"in": "path", "name": "quote_uuid", "schema": {"title": "Quote Uuid", "type": "string"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/ReferralCodeSchema"}}}}}, "tags": ["public", "quotes"]}}, "/api/public/quote/{quote_uuid}/send-referral-email": {"post": {"operationId": "sendPublicReferralEmail", "summary": "Send Referral Email", "parameters": [{"in": "path", "name": "quote_uuid", "schema": {"title": "Quote Uuid", "type": "string"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/SendReferralEmailResponseSchema"}}}}}, "tags": ["public", "quotes"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/SendReferralEmailSchema"}}}, "required": true}}}, "/api/public/quote/request-quote": {"post": {"operationId": "eaWebflowForm", "summary": "Webflow Form", "parameters": [], "responses": {"200": {"description": "OK"}}, "tags": ["public", "quotes"], "requestBody": {"content": {"application/x-www-form-urlencoded": {"schema": {"title": "FormParams", "type": "object", "properties": {"submission_id": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Submission Id"}, "name": {"default": "", "title": "Name", "type": "string"}, "email": {"default": "", "title": "Email", "type": "string"}, "phone": {"default": "", "title": "Phone", "type": "string"}, "address": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Address"}, "address_line1": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Address Line1"}, "address_line2": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Address Line2"}, "city": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "City"}, "state": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "State"}, "zip": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Zip"}, "instant_quote": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Instant Quote"}, "extra_text_input": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Extra Text Input"}, "gtm_campaign_url": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Gtm Campaign Url"}, "redirectUrl": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Redirecturl"}, "referral_code": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Referral Code"}, "initial_query_params": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Initial Query Params"}, "initial_referrer_url": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Initial Referrer Url"}, "initial_current_url": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Initial Current Url"}, "initial_session_start": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Initial Session Start"}, "latest_query_params": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Latest Query Params"}, "latest_referrer_url": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Latest Referrer Url"}, "latest_current_url": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Latest Current Url"}, "latest_session_start": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Latest Session Start"}, "user_agent": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "User Agent"}, "ph_session_id": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Ph Session Id"}, "ph_distinct_id": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Ph Distinct Id"}, "fbc": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Fbc"}, "fbp": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Fbp"}, "consent_to_text": {"anyOf": [{"type": "boolean"}, {"type": "null"}], "default": false, "title": "Consent To Text"}, "lead_type": {"default": "install", "enum": ["install", "repair"], "title": "Lead Type", "type": "string"}, "page_url": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Page Url"}, "query_parameters": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Query Parameters"}, "ga": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Ga"}, "referrer": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Referrer"}, "existing_system": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Existing System"}, "num_thermostat": {"anyOf": [{"type": "integer"}, {"type": "number"}, {"type": "null"}], "title": "Num Thermostat"}}}}}, "required": true}}}, "/api/public/lead/": {"post": {"operationId": "createPublicLead", "summary": "Create Public Lead", "parameters": [], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/PublicLeadCreateResponse"}}}}}, "tags": ["public", "leads"], "requestBody": {"content": {"application/x-www-form-urlencoded": {"schema": {"title": "FormParams", "type": "object", "properties": {"submission_id": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Submission Id"}, "external_submission_id": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "External Submission Id"}, "ea_org_id": {"anyOf": [{"type": "integer"}, {"type": "null"}], "title": "Ea Org Id"}, "name": {"default": "", "title": "Name", "type": "string"}, "email": {"default": "", "title": "Email", "type": "string"}, "phone": {"default": "", "title": "Phone", "type": "string"}, "address": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Address"}, "address_line1": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Address Line1"}, "address_line2": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Address Line2"}, "city": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "City"}, "state": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "State"}, "zip": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Zip"}, "instant_quote": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Instant Quote"}, "extra_text_input": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Extra Text Input"}, "gtm_campaign_url": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Gtm Campaign Url"}, "redirectUrl": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Redirecturl"}, "referral_code": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Referral Code"}, "initial_query_params": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Initial Query Params"}, "initial_referrer_url": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Initial Referrer Url"}, "initial_current_url": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Initial Current Url"}, "initial_session_start": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Initial Session Start"}, "latest_query_params": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Latest Query Params"}, "latest_referrer_url": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Latest Referrer Url"}, "latest_current_url": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Latest Current Url"}, "latest_session_start": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Latest Session Start"}, "user_agent": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "User Agent"}, "ph_session_id": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Ph Session Id"}, "ph_distinct_id": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Ph Distinct Id"}, "fbc": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Fbc"}, "fbp": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Fbp"}, "consent_to_text": {"anyOf": [{"type": "boolean"}, {"type": "null"}], "default": false, "title": "Consent To Text"}, "lead_type": {"default": "install", "enum": ["install", "repair"], "title": "Lead Type", "type": "string"}, "page_url": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Page Url"}, "query_parameters": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Query Parameters"}, "ga": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Ga"}, "referrer": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Referrer"}, "existing_system": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Existing System"}, "num_thermostat": {"anyOf": [{"type": "integer"}, {"type": "number"}, {"type": "null"}], "title": "Num Thermostat"}}}}}, "required": true}}}, "/api/public/pinch/sim/": {"post": {"operationId": "requestPinchSimulation", "summary": "Request Sim", "parameters": [], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/SimulationOutputSchema"}}}}}, "tags": ["public", "pinch"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/CreateSimulationSchema"}}}, "required": true}}}, "/api/c/{contract_uuid}/": {"get": {"operationId": "getPublicContractPdf", "summary": "Get Unsigned Contract Pdf", "parameters": [{"in": "path", "name": "contract_uuid", "schema": {"title": "Contract Uuid", "type": "string"}, "required": true}, {"in": "query", "name": "download", "schema": {"default": false, "title": "Download", "type": "boolean"}, "required": false}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"format": "binary", "title": "Response", "type": "string"}}}}}, "tags": ["public", "contract"]}}, "/api/public/incentive/{zipcode}/": {"get": {"operationId": "getPublicIncentivesByZipcode", "summary": "Get Incentives By Zipcode", "parameters": [{"in": "path", "name": "zipcode", "schema": {"title": "Zipcode", "type": "string"}, "required": true}, {"in": "header", "name": "EA-Org-Id", "schema": {"title": "Ea-Org-Id", "type": "string"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"items": {"$ref": "#/components/schemas/IncentiveByZipSchema"}, "title": "Response", "type": "array"}}}}}, "tags": ["public", "incentive"]}}, "/api/public/reviews/": {"get": {"operationId": "getPublicReviews", "summary": "Get Reviews", "parameters": [{"in": "header", "name": "EA-Org-Id", "schema": {"title": "Ea-Org-Id", "type": "string"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"items": {"$ref": "#/components/schemas/ReviewSchema"}, "title": "Response", "type": "array"}}}}}, "tags": ["public", "reviews"]}}, "/api/public/media/presigned-url": {"post": {"operationId": "getPublicMediaPresignedUrl", "summary": "Get Presigned Url", "parameters": [], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/PresignedUrlResponse"}}}}}, "tags": ["public", "media"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/PresignedUrlRequest"}}}, "required": true}}}, "/api/public/media/deal/{deal_id}": {"get": {"operationId": "getPublicMediaByDeal", "summary": "List Deal Media", "parameters": [{"in": "path", "name": "deal_id", "schema": {"title": "Deal Id", "type": "string"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/GetMediaResponse"}}}}}, "description": "Returns all user_confirmed media for a deal", "tags": ["public", "media"]}}, "/api/public/media/": {"post": {"operationId": "upsertPublicMedia", "summary": "Create Media", "parameters": [], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/MediaResponse"}}}}}, "description": "Creates or updates a media item\nif you get a match on deal,s3_key, you can then update caption and or upload_status", "tags": ["public", "media"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/MediaRequest"}}}, "required": true}}}, "/api/public/media/uploads": {"post": {"operationId": "createPublicMediaUpload", "summary": "Create Media Upload", "parameters": [], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/MediaUploadCreateResponse"}}}}}, "description": "Creates a pending media row and returns its S3 upload URL.", "tags": ["public", "media"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/MediaUploadCreateRequest"}}}, "required": true}}}, "/api/public/media/uploads/multipart": {"post": {"operationId": "createPublicMultipartMediaUpload", "summary": "Create Multipart Media Upload", "parameters": [], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/MultipartUploadCreateResponse"}}}}}, "description": "Create a media row and an S3 multipart upload session.", "tags": ["public", "media"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/MediaUploadCreateRequest"}}}, "required": true}}}, "/api/public/media/uploads/{media_id}/multipart/parts": {"post": {"operationId": "signPublicMultipartMediaParts", "summary": "Sign Multipart Media Parts", "parameters": [{"in": "path", "name": "media_id", "schema": {"title": "Media Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/MultipartPartUrlsResponse"}}}}}, "tags": ["public", "media"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/MultipartPartUrlsRequest"}}}, "required": true}}, "get": {"operationId": "listPublicMultipartMediaParts", "summary": "List Multipart Media Parts", "parameters": [{"in": "path", "name": "media_id", "schema": {"title": "Media Id", "type": "integer"}, "required": true}, {"in": "query", "name": "deal_id", "schema": {"title": "Deal Id", "type": "string"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/MultipartPartsResponse"}}}}}, "tags": ["public", "media"]}}, "/api/public/media/uploads/{media_id}/multipart/complete": {"post": {"operationId": "completePublicMultipartMediaUpload", "summary": "Complete Multipart Media Upload", "parameters": [{"in": "path", "name": "media_id", "schema": {"title": "Media Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/MediaResponse"}}}}}, "tags": ["public", "media"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/MultipartCompleteRequest"}}}, "required": true}}}, "/api/public/media/uploads/{media_id}/multipart/abort": {"post": {"operationId": "abortPublicMultipartMediaUpload", "summary": "Abort Multipart Media Upload", "parameters": [{"in": "path", "name": "media_id", "schema": {"title": "Media Id", "type": "integer"}, "required": true}], "responses": {"204": {"description": "No Content"}}, "tags": ["public", "media"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/MediaUploadActionRequest"}}}, "required": true}}}, "/api/public/media/uploads/{media_id}/multipart/restart": {"post": {"operationId": "restartPublicMultipartMediaUpload", "summary": "Restart Multipart Media Upload", "parameters": [{"in": "path", "name": "media_id", "schema": {"title": "Media Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/MultipartUploadCreateResponse"}}}}}, "tags": ["public", "media"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/MediaUploadActionRequest"}}}, "required": true}}}, "/api/public/media/uploads/{media_id}/complete": {"post": {"operationId": "completePublicMediaUpload", "summary": "Complete Media Upload", "parameters": [{"in": "path", "name": "media_id", "schema": {"title": "Media Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/MediaResponse"}}}}}, "tags": ["public", "media"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/MediaUploadActionRequest"}}}, "required": true}}}, "/api/public/media/uploads/{media_id}/retry": {"post": {"operationId": "retryPublicMediaUpload", "summary": "Retry Media Upload", "parameters": [{"in": "path", "name": "media_id", "schema": {"title": "Media Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/MediaUploadCreateResponse"}}}}}, "tags": ["public", "media"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/MediaUploadActionRequest"}}}, "required": true}}}, "/api/public/media/uploads/{media_id}/failed": {"post": {"operationId": "failPublicMediaUpload", "summary": "Fail Media Upload", "parameters": [{"in": "path", "name": "media_id", "schema": {"title": "Media Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/MediaResponse"}}}}}, "tags": ["public", "media"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/MediaUploadFailureRequest"}}}, "required": true}}}, "/api/public/media/text": {"post": {"operationId": "createPublicMediaText", "summary": "Create Media Text", "parameters": [], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"additionalProperties": true, "title": "Response", "type": "object"}}}}}, "description": "Creates or updates a media item\nthat is specifically a text only item (no s3 object)", "tags": ["public", "media"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/MediaTextRequest"}}}, "required": true}}}, "/api/public/media/submit-photos": {"post": {"operationId": "submitPublicPhotos", "summary": "Submit Photos", "parameters": [], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"additionalProperties": true, "title": "Response", "type": "object"}}}}}, "description": "Submits photos for a deal", "tags": ["public", "media"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/SubmitPhotosRequest"}}}, "required": true}}}, "/api/public/media/{media_id}": {"patch": {"operationId": "patchPublicMedia", "summary": "Patch Media", "parameters": [{"in": "path", "name": "media_id", "schema": {"title": "Media Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/MediaResponse"}}}}}, "description": "Updates user-owned mutable fields on an existing public media row.", "tags": ["public", "media"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/MediaPatchRequest"}}}, "required": true}}, "delete": {"operationId": "softDeletePublicMedia", "summary": "Soft Delete Media", "parameters": [{"in": "path", "name": "media_id", "schema": {"title": "Media Id", "type": "integer"}, "required": true}, {"in": "query", "name": "deal_id", "schema": {"title": "Deal Id", "type": "string"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"additionalProperties": true, "title": "Response", "type": "object"}}}}}, "description": "Soft deletes a media item for a deal.", "tags": ["public", "media"]}}, "/api/public/media/annotations/{media_id}": {"get": {"operationId": "getPhotoAnnotations", "summary": "Get Photo Annotations", "parameters": [{"in": "path", "name": "media_id", "schema": {"title": "Media Id", "type": "integer"}, "required": true}, {"in": "query", "name": "deal_id", "schema": {"title": "Deal Id", "type": "string"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/AnnotationResponse"}}}}}, "description": "Get saved annotations for a media row. Requires matching deal_id for basic access control.", "tags": ["public", "media"]}, "put": {"operationId": "savePhotoAnnotations", "summary": "Save Photo Annotations", "parameters": [{"in": "path", "name": "media_id", "schema": {"title": "Media Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/AnnotationResponse"}}}}}, "description": "Save (upsert) annotations for a media row.\nPublic virtual site visit consumers use this route directly, so rely on the\ndeal/media lookup for the same basic access control as the GET route.", "tags": ["public", "media"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/AnnotationRequest"}}}, "required": true}}}, "/api/public/media/{media_id}/download": {"get": {"operationId": "api_ninja_public_media_proxy_photo_download", "summary": "Proxy Photo Download", "parameters": [{"in": "path", "name": "media_id", "schema": {"title": "Media Id", "type": "integer"}, "required": true}, {"in": "query", "name": "deal_id", "schema": {"title": "Deal Id", "type": "string"}, "required": true}], "responses": {"200": {"description": "OK"}}, "description": "Fetch a photo from S3 through the server so clients avoid CORS issues.", "tags": ["public", "media"]}}, "/api/public/utilitydata/deal/{deal_id}/form": {"get": {"operationId": "getPublicUtilityApiForm", "summary": "Get Utilityapi Form", "parameters": [{"in": "path", "name": "deal_id", "schema": {"title": "Deal Id", "type": "string"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/UtilityApiFormResponse"}}}}}, "description": "Returns the UtilityAPI authorization link for this deal.", "tags": ["public", "utilitydata"]}}, "/api/public/utilitydata/callback": {"get": {"operationId": "utilityApiAuthorizationCallback", "summary": "Utilityapi Callback", "parameters": [{"in": "query", "name": "state", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "State"}, "required": false}, {"in": "query", "name": "referral", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Referral"}, "required": false}, {"in": "query", "name": "error", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Error"}, "required": false}, {"in": "query", "name": "error_description", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Error Description"}, "required": false}], "responses": {"200": {"description": "OK"}}, "description": "Receives UtilityAPI authorization redirects and starts interval processing.", "tags": ["public", "utilitydata"]}}, "/api/public/deal/{deal_uuid}/": {"get": {"operationId": "getPublicDeal", "summary": "Get Deal By Uuid", "parameters": [{"in": "path", "name": "deal_uuid", "schema": {"title": "Deal Uuid", "type": "string"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/PublicDealSchema2"}}}}}, "tags": ["public", "deal"]}}, "/api/public/proposal/{proposal_uuid}/": {"get": {"operationId": "getPublicProposal", "summary": "Get Public Proposal", "parameters": [{"in": "path", "name": "proposal_uuid", "schema": {"title": "Proposal Uuid", "type": "string"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/PublicProposalSchema"}}}}}, "tags": ["public", "proposal"]}}, "/api/public/customer/{customer_token}/referral-link": {"get": {"operationId": "getPublicCustomerReferralLink", "summary": "Get Public Customer Referral Link", "parameters": [{"in": "path", "name": "customer_token", "schema": {"title": "Customer Token", "type": "string"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/PublicCustomerReferralSchema"}}}}}, "tags": ["public", "customer"]}}, "/api/public/customer/{customer_token}/send-referral-email": {"post": {"operationId": "sendPublicCustomerReferralEmail", "summary": "Send Public Customer Referral Email", "parameters": [{"in": "path", "name": "customer_token", "schema": {"title": "Customer Token", "type": "string"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/SendReferralEmailResponseSchema"}}}}}, "tags": ["public", "customer"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/SendReferralEmailSchema"}}}, "required": true}}}, "/api/public/customer/{customer_token}/referral-invites": {"get": {"operationId": "getPublicCustomerReferralInvites", "summary": "Get Public Customer Referral Invites", "parameters": [{"in": "path", "name": "customer_token", "schema": {"title": "Customer Token", "type": "string"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"items": {"$ref": "#/components/schemas/PublicReferralInviteSchema"}, "title": "Response", "type": "array"}}}}}, "tags": ["public", "customer"]}}, "/api/public/sizing/": {"post": {"operationId": "getSizingByAddressPublic", "summary": "Get Sizing", "parameters": [{"in": "query", "name": "address", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Address"}, "required": false}, {"in": "query", "name": "zipcode", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Zipcode"}, "required": false}, {"in": "query", "name": "floors", "schema": {"anyOf": [{"type": "integer"}, {"type": "null"}], "title": "Floors"}, "required": false}, {"in": "query", "name": "sqft", "schema": {"anyOf": [{"type": "integer"}, {"type": "null"}], "title": "Sqft"}, "required": false}, {"in": "query", "name": "year_built", "schema": {"anyOf": [{"type": "integer"}, {"type": "null"}], "title": "Year Built"}, "required": false}, {"in": "query", "name": "bedrooms", "schema": {"anyOf": [{"type": "integer"}, {"type": "null"}], "title": "Bedrooms"}, "required": false}, {"in": "query", "name": "bathrooms", "schema": {"anyOf": [{"type": "integer"}, {"type": "null"}], "title": "Bathrooms"}, "required": false}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/SizingResponse"}}}}, "202": {"description": "Accepted", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/SizingPending"}}}}}, "tags": ["public", "sizing"]}}, "/api/public/sizing/geocode": {"post": {"operationId": "geocodeAddress", "summary": "Geocode", "parameters": [], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/GeocodeResponse"}}}}}, "tags": ["public", "sizing"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/GeocodeRequest"}}}, "required": true}}}, "/api/public/shop/email_estimate": {"post": {"operationId": "emailEstimate", "summary": "Email Estimate", "parameters": [{"in": "header", "name": "EA-Org-Id", "schema": {"title": "Ea-Org-Id", "type": "string"}, "required": true}], "responses": {"200": {"description": "OK"}}, "tags": ["public", "shop"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/EstimateEmailSchema"}}}, "required": true}}}, "/api/public/shop/configurator_order": {"post": {"operationId": "createConfiguratorOrder", "summary": "Configurator Order", "parameters": [{"in": "header", "name": "EA-Org-Id", "schema": {"title": "Ea-Org-Id", "type": "string"}, "required": true}], "responses": {"200": {"description": "OK"}}, "tags": ["public", "shop"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/EstimateEmailSchema"}}}, "required": true}}}, "/api/public/podium/callback": {"get": {"operationId": "getPublicPodiumCallback", "summary": "Callback", "parameters": [{"in": "query", "name": "code", "schema": {"title": "Code", "type": "string"}, "required": true}, {"in": "query", "name": "state", "schema": {"title": "State", "type": "string"}, "required": true}], "responses": {"200": {"description": "OK"}}, "tags": ["public", "podium"]}}, "/api/public/email/callback": {"get": {"operationId": "getPublicEmailCallback", "summary": "Callback", "parameters": [{"in": "query", "name": "code", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Code"}, "required": false}, {"in": "query", "name": "state", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "State"}, "required": false}, {"in": "query", "name": "error", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Error"}, "required": false}], "responses": {"200": {"description": "OK"}}, "tags": ["public", "email"]}}, "/api/public/email/webhook": {"get": {"operationId": "verifyPublicEmailWebhook", "summary": "Verify Webhook", "parameters": [{"in": "query", "name": "challenge", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Challenge"}, "required": false}], "responses": {"200": {"description": "OK"}}, "tags": ["public", "email"]}, "post": {"operationId": "publicEmailWebhook", "summary": "Webhook", "parameters": [], "responses": {"200": {"description": "OK"}}, "tags": ["public", "email"]}}, "/api/public/field-invoice/{token}": {"get": {"operationId": "getPublicFieldInvoice", "summary": "Get Invoice", "parameters": [{"in": "path", "name": "token", "schema": {"title": "Token", "type": "string"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"additionalProperties": true, "title": "Response", "type": "object"}}}}}, "tags": ["public", "fieldInvoice"]}}, "/api/public/field-invoice/{token}/pdf": {"get": {"operationId": "getPublicFieldInvoicePdf", "summary": "Invoice Pdf", "parameters": [{"in": "path", "name": "token", "schema": {"title": "Token", "type": "string"}, "required": true}], "responses": {"200": {"description": "OK"}}, "tags": ["public", "fieldInvoice"]}}, "/api/public/field-invoice/{token}/checkout": {"post": {"operationId": "startPublicFieldInvoiceCheckout", "summary": "Start Checkout", "parameters": [{"in": "path", "name": "token", "schema": {"title": "Token", "type": "string"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/PublicInvoiceCheckoutResponse"}}}}}, "tags": ["public", "fieldInvoice"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/PublicInvoiceCheckoutRequest"}}}, "required": true}}}, "/api/public/field-invoice/{token}/fake-pay": {"post": {"operationId": "fakePayPublicFieldInvoice", "summary": "Fake Pay", "parameters": [{"in": "path", "name": "token", "schema": {"title": "Token", "type": "string"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"additionalProperties": true, "title": "Response", "type": "object"}}}}}, "description": "Local testing only: refused unless EXTERNAL_IO_MODE=fake.", "tags": ["public", "fieldInvoice"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/PublicInvoiceCheckoutRequest"}}}, "required": true}}}, "/api/public/field-invoice/quickbooks/callback": {"get": {"operationId": "fieldQuickBooksCallback", "summary": "Quickbooks Callback", "parameters": [{"in": "query", "name": "state", "schema": {"default": "", "title": "State", "type": "string"}, "required": false}, {"in": "query", "name": "code", "schema": {"default": "", "title": "Code", "type": "string"}, "required": false}, {"in": "query", "name": "realmId", "schema": {"default": "", "title": "Realmid", "type": "string"}, "required": false}, {"in": "query", "name": "error", "schema": {"default": "", "title": "Error", "type": "string"}, "required": false}], "responses": {"200": {"description": "OK"}}, "tags": ["public", "fieldInvoice"]}}, "/api/webhook/workos": {"post": {"operationId": "workosWebhook", "summary": "Workos Webhook", "parameters": [], "responses": {"200": {"description": "OK"}}, "tags": ["webhooks"]}}, "/api/webhook/stripe": {"post": {"operationId": "stripeWebhook", "summary": "Stripe Webhook", "parameters": [], "responses": {"200": {"description": "OK"}}, "tags": ["webhooks"]}}, "/api/webhook/anvil": {"post": {"operationId": "anvilWebhook", "summary": "Anvil Webhook", "parameters": [], "responses": {"200": {"description": "OK"}}, "tags": ["webhooks"]}}, "/api/webhook/googlereview": {"post": {"operationId": "googleReviewWebhook", "summary": "Google Review Webhook", "parameters": [{"in": "query", "name": "token", "schema": {"title": "Token", "type": "string"}, "required": true}, {"in": "header", "name": "EA-Org-Id", "schema": {"title": "Ea-Org-Id", "type": "string"}, "required": true}, {"in": "header", "name": "EA-Webhook-Secret", "schema": {"title": "Ea-Webhook-Secret", "type": "string"}, "required": true}], "responses": {"200": {"description": "OK"}}, "tags": ["webhooks"]}}, "/api/webhook/podium": {"post": {"operationId": "podiumWebhook", "summary": "Podium Webhook", "parameters": [], "responses": {"200": {"description": "OK"}}, "tags": ["webhooks"]}}, "/api/quote-admin/{uuid}/customer_info": {"get": {"operationId": "getQuoteAdminCustomerInfo", "summary": "Get Customer Info", "parameters": [{"in": "path", "name": "uuid", "schema": {"title": "Uuid", "type": "string"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/CustomerInfoSchema"}}}}}, "tags": ["admin", "quotes"], "security": [{"SessionAuth": []}]}}, "/api/auth/login": {"post": {"operationId": "login", "summary": "Login", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "Authenticate the user and return access and refresh tokens.", "tags": ["auth"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/LoginPayload"}}}, "required": true}}}, "/api/auth/login-json": {"post": {"operationId": "loginJson", "summary": "Login Json", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "Authenticate the user and return access and refresh tokens.", "tags": ["auth"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/LoginPayload"}}}, "required": true}}}, "/api/auth/refresh-json": {"post": {"operationId": "refreshTokenJson", "summary": "Refresh Token Json", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "Generate a new access token using the refresh token.", "tags": ["auth"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/RefreshPayload"}}}, "required": true}}}, "/api/auth/refresh": {"post": {"operationId": "refreshToken", "summary": "Refresh Token", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "Generate a new access token using the refresh token from cookie.", "tags": ["auth"]}}, "/api/auth/logout": {"post": {"operationId": "logout", "summary": "Logout", "parameters": [], "responses": {"200": {"description": "OK"}}, "description": "Clear the refresh token cookie by setting it to expire in the past.", "tags": ["auth"]}}, "/api/users/me": {"get": {"operationId": "getMe", "summary": "Me", "parameters": [], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/UserSchema"}}}}, "401": {"description": "Unauthorized", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/DetailErrorSchema"}}}}, "404": {"description": "Not Found", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/DetailErrorSchema"}}}}}, "tags": ["users"]}}, "/api/users/me/update-notes": {"put": {"operationId": "acknowledgeHvacosUpdate", "summary": "Acknowledge Hvacos Update", "parameters": [], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/UpdateNotesPreferenceSchema"}}}}}, "tags": ["users"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/UpdateNotesPreferenceUpdateSchema"}}}, "required": true}}}, "/api/users/": {"get": {"operationId": "getUsersList", "summary": "Get Users List", "parameters": [], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"items": {"$ref": "#/components/schemas/UserSchema2"}, "title": "Response", "type": "array"}}}}}, "tags": ["users"]}}, "/api/customers/add-autoquote": {"post": {"operationId": "addCustomerAutoquote", "summary": "Add Customer", "parameters": [], "responses": {"200": {"description": "OK"}}, "tags": ["customers"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/AdminNewCustomerForm"}}}, "required": true}}}, "/api/customers/": {"get": {"operationId": "getCustomerList", "summary": "Get Customer List", "parameters": [{"in": "query", "name": "q", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Q"}, "required": false}, {"in": "query", "name": "page", "schema": {"default": 1, "title": "Page", "type": "integer"}, "required": false}, {"in": "query", "name": "page_size", "schema": {"default": 20, "title": "Page Size", "type": "integer"}, "required": false}, {"in": "query", "name": "has_deals", "schema": {"default": false, "title": "Has Deals", "type": "boolean"}, "required": false}, {"in": "query", "name": "has_quotes", "schema": {"default": false, "title": "Has Quotes", "type": "boolean"}, "required": false}, {"in": "query", "name": "has_proposals", "schema": {"default": false, "title": "Has Proposals", "type": "boolean"}, "required": false}, {"in": "query", "name": "has_sold", "schema": {"default": false, "title": "Has Sold", "type": "boolean"}, "required": false}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/CustomerListResponseSchema"}}}}}, "tags": ["customers"]}, "post": {"operationId": "createCustomer", "summary": "Create Customer", "parameters": [], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/CreateCustomerResponseSchema"}}}}}, "tags": ["customers"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/CreateCustomerSchema"}}}, "required": true}}}, "/api/customers/{customer_id}/referral-link": {"post": {"operationId": "createCustomerReferralLink", "summary": "Create Customer Referral Link", "parameters": [{"in": "path", "name": "customer_id", "schema": {"title": "Customer Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/CreateReferralLinkResponseSchema"}}}}}, "tags": ["customers"]}}, "/api/customers/{customer_id}": {"put": {"operationId": "updateCustomer", "summary": "Update Customer", "parameters": [{"in": "path", "name": "customer_id", "schema": {"title": "Customer Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/UpdateCustomerResponseSchema"}}}}}, "tags": ["customers"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/UpdateCustomerSchema"}}}, "required": true}}, "get": {"operationId": "getCustomerById", "summary": "Get Customer By Id", "parameters": [{"in": "path", "name": "customer_id", "schema": {"title": "Customer Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/CustomerDetailSchema"}}}}}, "tags": ["customers"]}}, "/api/leadforms/": {"get": {"operationId": "getLeadformsList", "summary": "Get Forms", "parameters": [{"in": "query", "name": "dealId", "schema": {"anyOf": [{"type": "integer"}, {"type": "null"}], "title": "Dealid"}, "required": false}, {"in": "query", "name": "quoteId", "schema": {"anyOf": [{"type": "integer"}, {"type": "null"}], "title": "Quoteid"}, "required": false}, {"in": "query", "name": "page", "schema": {"default": 1, "title": "Page", "type": "integer"}, "required": false}, {"in": "query", "name": "page_size", "schema": {"default": 25, "title": "Page Size", "type": "integer"}, "required": false}, {"in": "query", "name": "search", "schema": {"default": "", "title": "Search", "type": "string"}, "required": false}, {"in": "query", "name": "hideClosed", "schema": {"default": false, "title": "Hideclosed", "type": "boolean"}, "required": false}, {"in": "query", "name": "saved_filter_id", "schema": {"anyOf": [{"type": "integer"}, {"type": "null"}], "title": "Saved Filter Id"}, "required": false}, {"in": "query", "name": "status", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Status"}, "required": false}, {"in": "query", "name": "inbox_status", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Inbox Status"}, "required": false}, {"in": "query", "name": "classification", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Classification"}, "required": false}, {"in": "query", "name": "lead_type", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Lead Type"}, "required": false}, {"in": "query", "name": "source", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Source"}, "required": false}, {"in": "query", "name": "date_from", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Date From"}, "required": false}, {"in": "query", "name": "date_to", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Date To"}, "required": false}, {"in": "query", "name": "date_preset", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Date Preset"}, "required": false}, {"in": "query", "name": "has_deal", "schema": {"anyOf": [{"type": "boolean"}, {"type": "null"}], "title": "Has Deal"}, "required": false}, {"in": "query", "name": "has_service_request", "schema": {"anyOf": [{"type": "boolean"}, {"type": "null"}], "title": "Has Service Request"}, "required": false}, {"in": "query", "name": "has_quote", "schema": {"anyOf": [{"type": "boolean"}, {"type": "null"}], "title": "Has Quote"}, "required": false}, {"in": "query", "name": "has_routing_issue", "schema": {"anyOf": [{"type": "boolean"}, {"type": "null"}], "title": "Has Routing Issue"}, "required": false}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/LeadListResponseSchema"}}}}}, "tags": ["leadforms"]}}, "/api/leadforms/filters": {"get": {"operationId": "getLeadSavedFilters", "summary": "Get Lead Saved Filters", "parameters": [], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"items": {"$ref": "#/components/schemas/LeadSavedFilterSchema"}, "title": "Response", "type": "array"}}}}}, "tags": ["leadforms"]}, "post": {"operationId": "createLeadSavedFilter", "summary": "Create Lead Saved Filter", "parameters": [], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/LeadSavedFilterSchema"}}}}}, "tags": ["leadforms"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/LeadSavedFilterCreateSchema"}}}, "required": true}}}, "/api/leadforms/preferences": {"get": {"operationId": "getLeadPreferences", "summary": "Get Lead Preferences", "parameters": [], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/LeadPreferencesSchema"}}}}}, "tags": ["leadforms"]}, "put": {"operationId": "updateLeadPreferences", "summary": "Update Lead Preferences", "parameters": [], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/LeadPreferencesSchema"}}}}}, "tags": ["leadforms"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/LeadPreferencesUpdateSchema"}}}, "required": true}}}, "/api/leadforms/filters/{filter_id}": {"delete": {"operationId": "deleteLeadSavedFilter", "summary": "Delete Lead Saved Filter", "parameters": [{"in": "path", "name": "filter_id", "schema": {"title": "Filter Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/ApiSuccessSchema"}}}}}, "tags": ["leadforms"]}, "put": {"operationId": "updateLeadSavedFilter", "summary": "Update Lead Saved Filter", "parameters": [{"in": "path", "name": "filter_id", "schema": {"title": "Filter Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/LeadSavedFilterSchema"}}}}}, "tags": ["leadforms"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/LeadSavedFilterCreateSchema"}}}, "required": true}}}, "/api/leadforms/meta/filter-options": {"get": {"operationId": "getLeadFilterOptions", "summary": "Get Lead Filter Options", "parameters": [], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/LeadFilterOptionsSchema"}}}}}, "tags": ["leadforms"]}}, "/api/leadforms/intake-search": {"get": {"operationId": "searchLeadIntakeRecords", "summary": "Search Lead Intake Records", "parameters": [{"in": "query", "name": "q", "schema": {"default": "", "title": "Q", "type": "string"}, "required": false}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/IntakeSearchResponseSchema"}}}}}, "tags": ["leadforms"]}}, "/api/leadforms/intake": {"post": {"operationId": "createLeadIntake", "summary": "Create Lead Intake", "parameters": [], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/LeadIntakeCreateResponseSchema"}}}}}, "tags": ["leadforms"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/LeadIntakeCreateSchema"}}}, "required": true}}}, "/api/leadforms/{form_id}/notes": {"post": {"operationId": "createLeadInternalNote", "summary": "Create Lead Internal Note", "parameters": [{"in": "path", "name": "form_id", "schema": {"title": "Form Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/InternalNoteCreateResponseSchema"}}}}}, "tags": ["leadforms"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/InternalNoteCreateSchema"}}}, "required": true}}}, "/api/leadforms/{form_id}/classification": {"patch": {"operationId": "updateLeadClassification", "summary": "Update Lead Classification", "parameters": [{"in": "path", "name": "form_id", "schema": {"title": "Form Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/LeadClassificationUpdateResponseSchema"}}}}}, "tags": ["leadforms"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/LeadClassificationUpdateSchema"}}}, "required": true}}}, "/api/leadforms/{form_id}": {"get": {"operationId": "getLeadformById", "summary": "Get Form By Id", "parameters": [{"in": "path", "name": "form_id", "schema": {"anyOf": [{"type": "integer"}, {"type": "string"}], "title": "Form Id"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/LeadFullSchema"}}}}}, "tags": ["leadforms"]}}, "/api/deals/": {"get": {"operationId": "getDealList", "summary": "Get Deal List", "parameters": [{"in": "query", "name": "page", "schema": {"default": 1, "title": "Page", "type": "integer"}, "required": false}, {"in": "query", "name": "page_size", "schema": {"default": 20, "title": "Page Size", "type": "integer"}, "required": false}, {"in": "query", "name": "saved_filter_id", "schema": {"anyOf": [{"type": "integer"}, {"type": "null"}], "title": "Saved Filter Id"}, "required": false}, {"in": "query", "name": "stage", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Stage"}, "required": false}, {"in": "query", "name": "status", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Status"}, "required": false}, {"in": "query", "name": "date_from", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Date From"}, "required": false}, {"in": "query", "name": "date_to", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Date To"}, "required": false}, {"in": "query", "name": "date_preset", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Date Preset"}, "required": false}, {"in": "query", "name": "assigned_salesperson_id", "schema": {"anyOf": [{"type": "integer"}, {"type": "null"}], "title": "Assigned Salesperson Id"}, "required": false}, {"in": "query", "name": "label", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Label"}, "required": false}, {"in": "query", "name": "unlabeled", "schema": {"default": false, "title": "Unlabeled", "type": "boolean"}, "required": false}, {"in": "query", "name": "sort_by", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Sort By"}, "required": false}, {"in": "query", "name": "sort_dir", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Sort Dir"}, "required": false}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/DealListResponseSchema"}}}}}, "tags": ["deals"]}}, "/api/deals/export": {"get": {"operationId": "exportDealsCsv", "summary": "Export Deals Csv", "parameters": [{"in": "query", "name": "q", "schema": {"default": "", "title": "Q", "type": "string"}, "required": false}, {"in": "query", "name": "saved_filter_id", "schema": {"anyOf": [{"type": "integer"}, {"type": "null"}], "title": "Saved Filter Id"}, "required": false}, {"in": "query", "name": "stage", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Stage"}, "required": false}, {"in": "query", "name": "status", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Status"}, "required": false}, {"in": "query", "name": "date_from", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Date From"}, "required": false}, {"in": "query", "name": "date_to", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Date To"}, "required": false}, {"in": "query", "name": "date_preset", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Date Preset"}, "required": false}, {"in": "query", "name": "assigned_salesperson_id", "schema": {"anyOf": [{"type": "integer"}, {"type": "null"}], "title": "Assigned Salesperson Id"}, "required": false}, {"in": "query", "name": "label", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Label"}, "required": false}, {"in": "query", "name": "unlabeled", "schema": {"default": false, "title": "Unlabeled", "type": "boolean"}, "required": false}, {"in": "query", "name": "sort_by", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Sort By"}, "required": false}, {"in": "query", "name": "sort_dir", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Sort Dir"}, "required": false}], "responses": {"200": {"description": "OK"}}, "tags": ["deals"]}}, "/api/deals/search": {"get": {"operationId": "searchDeals", "summary": "Search Deals", "parameters": [{"in": "query", "name": "q", "schema": {"default": "", "title": "Q", "type": "string"}, "required": false}, {"in": "query", "name": "page", "schema": {"default": 1, "title": "Page", "type": "integer"}, "required": false}, {"in": "query", "name": "page_size", "schema": {"default": 20, "title": "Page Size", "type": "integer"}, "required": false}, {"in": "query", "name": "saved_filter_id", "schema": {"anyOf": [{"type": "integer"}, {"type": "null"}], "title": "Saved Filter Id"}, "required": false}, {"in": "query", "name": "stage", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Stage"}, "required": false}, {"in": "query", "name": "status", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Status"}, "required": false}, {"in": "query", "name": "date_from", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Date From"}, "required": false}, {"in": "query", "name": "date_to", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Date To"}, "required": false}, {"in": "query", "name": "date_preset", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Date Preset"}, "required": false}, {"in": "query", "name": "assigned_salesperson_id", "schema": {"anyOf": [{"type": "integer"}, {"type": "null"}], "title": "Assigned Salesperson Id"}, "required": false}, {"in": "query", "name": "label", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Label"}, "required": false}, {"in": "query", "name": "unlabeled", "schema": {"default": false, "title": "Unlabeled", "type": "boolean"}, "required": false}, {"in": "query", "name": "sort_by", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Sort By"}, "required": false}, {"in": "query", "name": "sort_dir", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Sort Dir"}, "required": false}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/DealListResponseSchema"}}}}}, "tags": ["deals"]}}, "/api/deals/filters": {"get": {"operationId": "getDealSavedFilters", "summary": "Get Deal Saved Filters", "parameters": [], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"items": {"$ref": "#/components/schemas/DealSavedFilterSchema"}, "title": "Response", "type": "array"}}}}}, "tags": ["deals"]}, "post": {"operationId": "createDealSavedFilter", "summary": "Create Deal Saved Filter", "parameters": [], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/DealSavedFilterSchema"}}}}}, "tags": ["deals"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/DealSavedFilterCreateSchema"}}}, "required": true}}}, "/api/deals/preferences": {"get": {"operationId": "getDealPreferences", "summary": "Get Deal Preferences", "parameters": [], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/DealPreferencesSchema"}}}}}, "tags": ["deals"]}, "put": {"operationId": "updateDealPreferences", "summary": "Update Deal Preferences", "parameters": [], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/DealPreferencesSchema"}}}}}, "tags": ["deals"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/DealPreferencesUpdateSchema"}}}, "required": true}}}, "/api/deals/filters/{filter_id}": {"delete": {"operationId": "deleteDealSavedFilter", "summary": "Delete Deal Saved Filter", "parameters": [{"in": "path", "name": "filter_id", "schema": {"title": "Filter Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/ApiSuccessSchema"}}}}}, "tags": ["deals"]}, "put": {"operationId": "updateDealSavedFilter", "summary": "Update Deal Saved Filter", "parameters": [{"in": "path", "name": "filter_id", "schema": {"title": "Filter Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/DealSavedFilterSchema"}}}}}, "tags": ["deals"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/DealSavedFilterCreateSchema"}}}, "required": true}}}, "/api/deals/meta/salespeople": {"get": {"operationId": "getDealSalespeople", "summary": "Get Deal Salespeople", "parameters": [], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"items": {"$ref": "#/components/schemas/DealSalespersonSchema"}, "title": "Response", "type": "array"}}}}}, "tags": ["deals"]}}, "/api/deals/meta/activity-types": {"get": {"operationId": "getCRMActivityTypes", "summary": "Get Crm Activity Types", "parameters": [], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"items": {"$ref": "#/components/schemas/CRMActivityTypeSchema"}, "title": "Response", "type": "array"}}}}}, "tags": ["deals"]}}, "/api/deals/meta/filter-options": {"get": {"operationId": "getDealFilterOptions", "summary": "Get Deal Filter Options", "parameters": [], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/DealFilterOptionsSchema"}}}}}, "tags": ["deals"]}}, "/api/deals/kanban": {"get": {"operationId": "getDealKanban", "summary": "Get Deal Kanban", "parameters": [{"in": "query", "name": "q", "schema": {"default": "", "title": "Q", "type": "string"}, "required": false}, {"in": "query", "name": "stage", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Stage"}, "required": false}, {"in": "query", "name": "status", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Status"}, "required": false}, {"in": "query", "name": "date_from", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Date From"}, "required": false}, {"in": "query", "name": "date_to", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Date To"}, "required": false}, {"in": "query", "name": "date_preset", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Date Preset"}, "required": false}, {"in": "query", "name": "assigned_salesperson_id", "schema": {"anyOf": [{"type": "integer"}, {"type": "null"}], "title": "Assigned Salesperson Id"}, "required": false}, {"in": "query", "name": "label", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Label"}, "required": false}, {"in": "query", "name": "unlabeled", "schema": {"default": false, "title": "Unlabeled", "type": "boolean"}, "required": false}, {"in": "query", "name": "sort_by", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Sort By"}, "required": false}, {"in": "query", "name": "sort_dir", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Sort Dir"}, "required": false}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/DealKanbanResponseSchema"}}}}}, "tags": ["deals"]}}, "/api/deals/{deal_id}/labels": {"post": {"operationId": "createAndAssignDealLabel", "summary": "Create And Assign Deal Label", "parameters": [{"in": "path", "name": "deal_id", "schema": {"title": "Deal Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/DealLabelSchema"}}}}}, "tags": ["deals"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/DealLabelCreateAssignSchema"}}}, "required": true}}}, "/api/deals/{deal_id}/crm": {"patch": {"operationId": "updateDealCRM", "summary": "Update Deal Crm", "parameters": [{"in": "path", "name": "deal_id", "schema": {"title": "Deal Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/DealDetailSchema"}}}}}, "tags": ["deals"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/DealUpdateSchema"}}}, "required": true}}}, "/api/deals/{deal_id}/notes": {"post": {"operationId": "createDealNote", "summary": "Create Deal Note", "parameters": [{"in": "path", "name": "deal_id", "schema": {"title": "Deal Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/DealNoteSchema"}}}}}, "tags": ["deals"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/DealNoteCreateSchema"}}}, "required": true}}}, "/api/deals/{deal_id}/activities": {"post": {"operationId": "createCRMActivity", "summary": "Create Crm Activity", "parameters": [{"in": "path", "name": "deal_id", "schema": {"title": "Deal Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/CRMActivitySchema"}}}}}, "tags": ["deals"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/CRMActivityCreateSchema"}}}, "required": true}}}, "/api/deals/{deal_id}/activities/{activity_id}/complete": {"post": {"operationId": "completeCRMActivity", "summary": "Complete Crm Activity", "parameters": [{"in": "path", "name": "deal_id", "schema": {"title": "Deal Id", "type": "integer"}, "required": true}, {"in": "path", "name": "activity_id", "schema": {"title": "Activity Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/CRMActivitySchema"}}}}}, "tags": ["deals"]}}, "/api/deals/{deal_id}/property-details": {"patch": {"operationId": "updateDealPropertyDetails", "summary": "Update Deal Property Details", "parameters": [{"in": "path", "name": "deal_id", "schema": {"title": "Deal Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"items": {"$ref": "#/components/schemas/UpdateDealPropertyDetailsResponse"}, "title": "Response", "type": "array"}}}}}, "tags": ["deals"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/UpdateDealPropertyDetailsSchema"}}}, "required": true}}}, "/api/deals/{deal_id}/service-location": {"patch": {"operationId": "updateDealServiceLocation", "summary": "Update Deal Service Location", "parameters": [{"in": "path", "name": "deal_id", "schema": {"title": "Deal Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/UpdateDealServiceLocationResponse"}}}}}, "tags": ["deals"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/UpdateDealServiceLocationSchema"}}}, "required": true}}}, "/api/deals/{deal_id}": {"get": {"operationId": "getDealById", "summary": "Get Deal By Id", "parameters": [{"in": "path", "name": "deal_id", "schema": {"title": "Deal Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/DealDetailSchema"}}}}}, "tags": ["deals"]}}, "/api/deals/{deal_id}/utilitydata/retry": {"post": {"operationId": "retryDealUtilityDataProcessing", "summary": "Retry Deal Utilitydata Processing", "parameters": [{"in": "path", "name": "deal_id", "schema": {"title": "Deal Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/ApiSuccessSchema"}}}}}, "tags": ["deals"]}}, "/api/deals/{deal_id}/utilitydata/download": {"get": {"operationId": "downloadDealUtilityData", "summary": "Download Deal Utilitydata", "parameters": [{"in": "path", "name": "deal_id", "schema": {"title": "Deal Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK"}}, "tags": ["deals"]}}, "/api/deals/{deal_id}/quotes": {"post": {"operationId": "createDealQuote", "summary": "Create Deal Quote", "parameters": [{"in": "path", "name": "deal_id", "schema": {"title": "Deal Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/CreateDealQuoteResponse"}}}}}, "tags": ["deals"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/CreateDealQuoteSchema"}}}, "required": true}}}, "/api/deals/{deal_id}/proposals": {"post": {"operationId": "createDealProposal", "summary": "Create Deal Proposal", "parameters": [{"in": "path", "name": "deal_id", "schema": {"title": "Deal Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/CreateProposalResponse"}}}}}, "tags": ["deals"]}}, "/api/deals/{deal_id}/proposals/{proposal_id}": {"delete": {"operationId": "deleteDealProposal", "summary": "Delete Deal Proposal", "parameters": [{"in": "path", "name": "deal_id", "schema": {"title": "Deal Id", "type": "integer"}, "required": true}, {"in": "path", "name": "proposal_id", "schema": {"title": "Proposal Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/ApiSuccessSchema"}}}}}, "tags": ["deals"]}}, "/api/deals/{deal_id}/proposal-quotes": {"post": {"operationId": "createProposalQuote", "summary": "Create Proposal Quote", "parameters": [{"in": "path", "name": "deal_id", "schema": {"title": "Deal Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/CreateProposalQuoteResponse"}}}}}, "tags": ["deals"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/CreateProposalQuoteSchema"}}}, "required": true}}}, "/api/deals/{deal_id}/proposals/{proposal_id}/quotes": {"post": {"operationId": "attachQuoteToProposal", "summary": "Attach Quote To Proposal", "parameters": [{"in": "path", "name": "deal_id", "schema": {"title": "Deal Id", "type": "integer"}, "required": true}, {"in": "path", "name": "proposal_id", "schema": {"title": "Proposal Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/CreateProposalQuoteResponse"}}}}}, "tags": ["deals"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/AttachQuoteToProposalSchema"}}}, "required": true}}}, "/api/deals/{deal_id}/proposal-quotes/{proposal_quote_id}": {"delete": {"operationId": "detachQuoteFromProposal", "summary": "Detach Quote From Proposal", "parameters": [{"in": "path", "name": "deal_id", "schema": {"title": "Deal Id", "type": "integer"}, "required": true}, {"in": "path", "name": "proposal_quote_id", "schema": {"title": "Proposal Quote Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/ApiSuccessSchema"}}}}}, "tags": ["deals"]}, "put": {"operationId": "updateProposalQuote", "summary": "Update Proposal Quote", "parameters": [{"in": "path", "name": "deal_id", "schema": {"title": "Deal Id", "type": "integer"}, "required": true}, {"in": "path", "name": "proposal_quote_id", "schema": {"title": "Proposal Quote Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/ApiSuccessSchema"}}}}}, "tags": ["deals"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/UpdateProposalQuoteSchema"}}}, "required": true}}}, "/api/deals/meta/proposal-categories/": {"get": {"operationId": "getProposalCategoryList", "summary": "Get Proposal Categories", "parameters": [], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"items": {"$ref": "#/components/schemas/ProposalCategorySchema"}, "title": "Response", "type": "array"}}}}}, "tags": ["deals"]}, "post": {"operationId": "createProposalCategory", "summary": "Create Proposal Category", "parameters": [], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/ApiSuccessSchema"}}}}}, "tags": ["deals"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/CreateProposalCategorySchema"}}}, "required": true}}}, "/api/deals/meta/proposal-categories/{category_name}": {"delete": {"operationId": "deleteProposalCategory", "summary": "Delete Proposal Category", "parameters": [{"in": "path", "name": "category_name", "schema": {"title": "Category Name", "type": "string"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/ApiSuccessSchema"}}}}}, "tags": ["deals"]}}, "/api/deals/{deal_id}/ahj/refresh": {"post": {"operationId": "refreshDealAhj", "summary": "Refresh Deal Ahj", "parameters": [{"in": "path", "name": "deal_id", "schema": {"title": "Deal Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK"}}, "tags": ["deals"]}}, "/api/deals/{deal_id}/manj": {"post": {"operationId": "saveDealManj", "summary": "Save Manj", "parameters": [{"in": "path", "name": "deal_id", "schema": {"title": "Deal Id", "type": "integer"}, "required": true}, {"in": "query", "name": "payload", "schema": {"additionalProperties": true, "title": "Payload", "type": "object"}, "required": true}], "responses": {"200": {"description": "OK"}}, "tags": ["deals"]}, "get": {"operationId": "getDealManj", "summary": "Get Manj", "parameters": [{"in": "path", "name": "deal_id", "schema": {"title": "Deal Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK"}}, "tags": ["deals"]}}, "/api/deals/{deal_id}/nec-loadcalc": {"get": {"operationId": "getDealNecLoadcalc", "summary": "Get Nec Loadcalc", "parameters": [{"in": "path", "name": "deal_id", "schema": {"title": "Deal Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK"}}, "tags": ["deals"]}, "post": {"operationId": "saveDealNecLoadcalc", "summary": "Save Nec Loadcalc", "parameters": [{"in": "path", "name": "deal_id", "schema": {"title": "Deal Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/NECLoadCalcSchema"}}}}}, "tags": ["deals"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/NECLoadCalcSchema"}}}, "required": true}}}, "/api/deals/{deal_id}/nec-loadcalc/pdf": {"get": {"operationId": "downloadDealNecLoadcalcPdf", "summary": "Download Nec Loadcalc Pdf", "parameters": [{"in": "path", "name": "deal_id", "schema": {"title": "Deal Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK"}}, "tags": ["deals"]}}, "/api/deals/{deal_id}/files": {"get": {"operationId": "listDealStoredFiles", "summary": "List Deal Files", "parameters": [{"in": "path", "name": "deal_id", "schema": {"title": "Deal Id", "type": "integer"}, "required": true}, {"in": "query", "name": "permit_id", "schema": {"anyOf": [{"type": "integer"}, {"type": "null"}], "title": "Permit Id"}, "required": false}, {"in": "query", "name": "incentive_application_id", "schema": {"anyOf": [{"type": "integer"}, {"type": "null"}], "title": "Incentive Application Id"}, "required": false}, {"in": "query", "name": "project_area", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Project Area"}, "required": false}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"items": {"$ref": "#/components/schemas/StoredFileSchema"}, "title": "Response", "type": "array"}}}}}, "description": "The deal's files, or only one permit's, incentive application's, or area's files when scoped.", "tags": ["dealFiles"]}}, "/api/deals/{deal_id}/files/uploads": {"post": {"operationId": "createDealStoredFileUpload", "summary": "Create Deal File Upload", "parameters": [{"in": "path", "name": "deal_id", "schema": {"title": "Deal Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/StoredFileUploadResponse"}}}}}, "tags": ["dealFiles"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/StoredFileUploadRequest"}}}, "required": true}}}, "/api/deals/{deal_id}/files/{file_identifier}/complete": {"post": {"operationId": "completeDealStoredFileUpload", "summary": "Complete Deal File Upload", "parameters": [{"in": "path", "name": "deal_id", "schema": {"title": "Deal Id", "type": "integer"}, "required": true}, {"in": "path", "name": "file_identifier", "schema": {"title": "File Identifier", "type": "string"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/StoredFileSchema"}}}}}, "tags": ["dealFiles"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/StoredFileUploadActionRequest"}}}, "required": true}}}, "/api/deals/{deal_id}/files/{file_identifier}/failed": {"post": {"operationId": "failDealStoredFileUpload", "summary": "Fail Deal File Upload", "parameters": [{"in": "path", "name": "deal_id", "schema": {"title": "Deal Id", "type": "integer"}, "required": true}, {"in": "path", "name": "file_identifier", "schema": {"title": "File Identifier", "type": "string"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/ApiSuccessSchema"}}}}}, "tags": ["dealFiles"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/StoredFileUploadFailureRequest"}}}, "required": true}}}, "/api/deals/{deal_id}/files/{file_identifier}/versions": {"get": {"operationId": "listDealStoredFileVersions", "summary": "List Deal File Versions", "parameters": [{"in": "path", "name": "deal_id", "schema": {"title": "Deal Id", "type": "integer"}, "required": true}, {"in": "path", "name": "file_identifier", "schema": {"title": "File Identifier", "type": "string"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"items": {"$ref": "#/components/schemas/StoredFileVersionSchema"}, "title": "Response", "type": "array"}}}}}, "tags": ["dealFiles"]}}, "/api/deals/{deal_id}/files/{file_identifier}/access": {"get": {"operationId": "getDealStoredFileAccess", "summary": "Get Deal File Access", "parameters": [{"in": "path", "name": "deal_id", "schema": {"title": "Deal Id", "type": "integer"}, "required": true}, {"in": "path", "name": "file_identifier", "schema": {"title": "File Identifier", "type": "string"}, "required": true}, {"in": "query", "name": "download", "schema": {"default": false, "title": "Download", "type": "boolean"}, "required": false}, {"in": "query", "name": "version_identifier", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Version Identifier"}, "required": false}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/StoredFileAccessResponse"}}}}}, "tags": ["dealFiles"]}}, "/api/deals/{deal_id}/files/{file_identifier}": {"delete": {"operationId": "deleteDealStoredFile", "summary": "Delete Deal File", "parameters": [{"in": "path", "name": "deal_id", "schema": {"title": "Deal Id", "type": "integer"}, "required": true}, {"in": "path", "name": "file_identifier", "schema": {"title": "File Identifier", "type": "string"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/ApiSuccessSchema"}}}}}, "tags": ["dealFiles"]}}, "/api/activities/": {"get": {"operationId": "listCRMActivities", "summary": "List Crm Activities", "parameters": [{"in": "query", "name": "q", "schema": {"default": "", "title": "Q", "type": "string"}, "required": false}, {"in": "query", "name": "status", "schema": {"default": "", "title": "Status", "type": "string"}, "required": false}, {"in": "query", "name": "owner_id", "schema": {"anyOf": [{"type": "integer"}, {"type": "null"}], "title": "Owner Id"}, "required": false}, {"in": "query", "name": "activity_type_id", "schema": {"anyOf": [{"type": "integer"}, {"type": "null"}], "title": "Activity Type Id"}, "required": false}, {"in": "query", "name": "priority", "schema": {"default": "", "title": "Priority", "type": "string"}, "required": false}, {"in": "query", "name": "due", "schema": {"default": "", "title": "Due", "type": "string"}, "required": false}, {"in": "query", "name": "due_from", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Due From"}, "required": false}, {"in": "query", "name": "due_to", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Due To"}, "required": false}, {"in": "query", "name": "sort_dir", "schema": {"default": "asc", "enum": ["asc", "desc"], "title": "Sort Dir", "type": "string"}, "required": false}, {"in": "query", "name": "page", "schema": {"default": 1, "title": "Page", "type": "integer"}, "required": false}, {"in": "query", "name": "page_size", "schema": {"default": 25, "title": "Page Size", "type": "integer"}, "required": false}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/CRMActivityListResponseSchema"}}}}}, "tags": ["activities"]}}, "/api/activities/{activity_id}": {"patch": {"operationId": "updateCRMActivity", "summary": "Update Crm Activity", "parameters": [{"in": "path", "name": "activity_id", "schema": {"title": "Activity Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/CRMActivityListItemSchema"}}}}}, "tags": ["activities"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/CRMActivityUpdateSchema"}}}, "required": true}}}, "/api/quotes/sms-templates": {"get": {"operationId": "getSmsTemplates", "summary": "Get Sms Templates", "parameters": [{"in": "query", "name": "locationUid", "schema": {"anyOf": [{"type": "string"}, {"type": "null"}], "title": "Locationuid"}, "required": false}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/GetTemplatesResponseModel"}}}}}, "tags": ["quotes"]}}, "/api/quotes/{quote_id}/media/{media_id}/retry-transcode": {"post": {"operationId": "retryMediaTranscode", "summary": "Retry Media Transcode", "parameters": [{"in": "path", "name": "quote_id", "schema": {"title": "Quote Id", "type": "integer"}, "required": true}, {"in": "path", "name": "media_id", "schema": {"title": "Media Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/AdminMediaSchema"}}}}}, "description": "Re-queue MediaConvert processing for a verified video whose transcode failed.", "tags": ["quotes"]}}, "/api/quotes/{quote_id}/media/{media_id}": {"delete": {"operationId": "deleteQuoteMedia", "summary": "Delete Quote Media", "parameters": [{"in": "path", "name": "quote_id", "schema": {"title": "Quote Id", "type": "integer"}, "required": true}, {"in": "path", "name": "media_id", "schema": {"title": "Media Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/ApiSuccessSchema"}}}}}, "description": "Soft delete a virtual site visit photo or video on the quote's deal.", "tags": ["quotes"]}}, "/api/quotes/{quote_id}": {"get": {"operationId": "getQuoteById", "summary": "Get Quote Byquoteid", "parameters": [{"in": "path", "name": "quote_id", "schema": {"title": "Quote Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/AdminQuoteSchema"}}}}}, "tags": ["quotes"]}, "put": {"operationId": "updateQuote", "summary": "Update Quote", "parameters": [{"in": "path", "name": "quote_id", "schema": {"title": "Quote Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/ApiSuccessSchema"}}}}}, "tags": ["quotes"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/QuoteUpdateSchema"}}}, "required": true}}}, "/api/quotes/": {"get": {"operationId": "getQuoteList", "summary": "Quote List Simple", "parameters": [], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"items": {"$ref": "#/components/schemas/QuoteSchemaSimple"}, "title": "Response", "type": "array"}}}}}, "tags": ["quotes"]}}, "/api/quotes/{quote_id}/cartitems": {"post": {"operationId": "addCartitem", "summary": "Add Cartitem", "parameters": [{"in": "path", "name": "quote_id", "schema": {"title": "Quote Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK"}}, "tags": ["quotes"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/AddItemSchema"}}}, "required": true}}}, "/api/quotes/{quote_id}/discounts": {"post": {"operationId": "addDiscountitem", "summary": "Add Discountitem", "parameters": [{"in": "path", "name": "quote_id", "schema": {"title": "Quote Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK"}}, "tags": ["quotes"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/AddItemSchema"}}}, "required": true}}}, "/api/quotes/{quote_id}/incentives": {"post": {"operationId": "addIncentiveitem", "summary": "Add Incentives", "parameters": [{"in": "path", "name": "quote_id", "schema": {"title": "Quote Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK"}}, "tags": ["quotes"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/AddItemSchema"}}}, "required": true}}}, "/api/quotes/{quote_id}/financing": {"post": {"operationId": "addFinanceitem", "summary": "Add Financeitem", "parameters": [{"in": "path", "name": "quote_id", "schema": {"title": "Quote Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK"}}, "tags": ["quotes"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/AddItemSchema"}}}, "required": true}}}, "/api/quotes/{quote_id}/cartitems/{cartitem_id}": {"put": {"operationId": "updateCartitem", "summary": "Update Cartitem", "parameters": [{"in": "path", "name": "quote_id", "schema": {"title": "Quote Id", "type": "integer"}, "required": true}, {"in": "path", "name": "cartitem_id", "schema": {"title": "Cartitem Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK"}}, "tags": ["quotes"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/CartItemUpdateSchema"}}}, "required": true}}, "delete": {"operationId": "deleteCartitem", "summary": "Delete Cartitem", "parameters": [{"in": "path", "name": "quote_id", "schema": {"title": "Quote Id", "type": "integer"}, "required": true}, {"in": "path", "name": "cartitem_id", "schema": {"title": "Cartitem Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK"}}, "tags": ["quotes"]}}, "/api/quotes/{quote_id}/discounts/{discountitem_id}": {"put": {"operationId": "updateDiscountitem", "summary": "Update Discountitem", "parameters": [{"in": "path", "name": "quote_id", "schema": {"title": "Quote Id", "type": "integer"}, "required": true}, {"in": "path", "name": "discountitem_id", "schema": {"title": "Discountitem Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK"}}, "tags": ["quotes"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/DiscountItemUpdateSchema"}}}, "required": true}}, "delete": {"operationId": "deleteDiscountitem", "summary": "Delete Discount", "parameters": [{"in": "path", "name": "quote_id", "schema": {"title": "Quote Id", "type": "integer"}, "required": true}, {"in": "path", "name": "discountitem_id", "schema": {"title": "Discountitem Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK"}}, "tags": ["quotes"]}}, "/api/quotes/{quote_id}/incentives/{incentiveitem_id}": {"put": {"operationId": "updateIncentiveitem", "summary": "Update Incentiveitem", "parameters": [{"in": "path", "name": "quote_id", "schema": {"title": "Quote Id", "type": "integer"}, "required": true}, {"in": "path", "name": "incentiveitem_id", "schema": {"title": "Incentiveitem Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK"}}, "tags": ["quotes"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/IncentiveItemUpdateSchema"}}}, "required": true}}, "delete": {"operationId": "deleteIncentiveitem", "summary": "Delete Incentive", "parameters": [{"in": "path", "name": "quote_id", "schema": {"title": "Quote Id", "type": "integer"}, "required": true}, {"in": "path", "name": "incentiveitem_id", "schema": {"title": "Incentiveitem Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK"}}, "tags": ["quotes"]}}, "/api/quotes/{quote_id}/financing/{financeitem_id}": {"put": {"operationId": "updateFinanceitem", "summary": "Update Financeitem", "parameters": [{"in": "path", "name": "quote_id", "schema": {"title": "Quote Id", "type": "integer"}, "required": true}, {"in": "path", "name": "financeitem_id", "schema": {"title": "Financeitem Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK"}}, "tags": ["quotes"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/FinanceItemUpdateSchema"}}}, "required": true}}, "delete": {"operationId": "deleteFinanceitem", "summary": "Delete Financing", "parameters": [{"in": "path", "name": "quote_id", "schema": {"title": "Quote Id", "type": "integer"}, "required": true}, {"in": "path", "name": "financeitem_id", "schema": {"title": "Financeitem Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK"}}, "tags": ["quotes"]}}, "/api/quotes/{quote_id}/contracts": {"get": {"operationId": "getContractList", "summary": "Get Contract List", "parameters": [{"in": "path", "name": "quote_id", "schema": {"title": "Quote Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"items": {"$ref": "#/components/schemas/ContractSchema"}, "title": "Response", "type": "array"}}}}}, "tags": ["quotes"]}, "post": {"operationId": "addContract", "summary": "Add Contract", "parameters": [{"in": "path", "name": "quote_id", "schema": {"title": "Quote Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK"}}, "tags": ["quotes"]}}, "/api/quotes/{quote_id}/contracts-inclusion-update": {"put": {"operationId": "updateContractInclusions", "summary": "Update Inclusions", "parameters": [{"in": "path", "name": "quote_id", "schema": {"title": "Quote Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK"}}, "tags": ["quotes"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/InclusionSchema"}}}, "required": true}}}, "/api/quotes/{quote_id}/contracts/{contract_id}/regenerate": {"post": {"operationId": "regenerateContract", "summary": "Regenerate Contract", "parameters": [{"in": "path", "name": "quote_id", "schema": {"title": "Quote Id", "type": "integer"}, "required": true}, {"in": "path", "name": "contract_id", "schema": {"title": "Contract Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK"}}, "tags": ["quotes"]}}, "/api/quotes/{quote_id}/contracts/{contract_id}": {"get": {"operationId": "getContract", "summary": "Get Contract", "parameters": [{"in": "path", "name": "quote_id", "schema": {"title": "Quote Id", "type": "integer"}, "required": true}, {"in": "path", "name": "contract_id", "schema": {"title": "Contract Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK"}}, "tags": ["quotes"]}, "put": {"operationId": "updateContract", "summary": "Update Contract", "parameters": [{"in": "path", "name": "quote_id", "schema": {"title": "Quote Id", "type": "integer"}, "required": true}, {"in": "path", "name": "contract_id", "schema": {"title": "Contract Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK"}}, "tags": ["quotes"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/ContractSchemaPatch"}}}, "required": true}}, "delete": {"operationId": "deleteContract", "summary": "Delete Contract", "parameters": [{"in": "path", "name": "quote_id", "schema": {"title": "Quote Id", "type": "integer"}, "required": true}, {"in": "path", "name": "contract_id", "schema": {"title": "Contract Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK"}}, "tags": ["quotes"]}}, "/api/quotes/{quote_id}/contracts/{contract_id}/uploads": {"post": {"operationId": "uploadContractFile", "summary": "Upload File", "parameters": [{"in": "path", "name": "quote_id", "schema": {"title": "Quote Id", "type": "integer"}, "required": true}, {"in": "path", "name": "contract_id", "schema": {"title": "Contract Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK"}}, "tags": ["quotes"], "requestBody": {"content": {"multipart/form-data": {"schema": {"properties": {"file": {"format": "binary", "title": "File", "type": "string"}}, "required": ["file"], "title": "FileParams", "type": "object"}}}, "required": true}}}, "/api/quotes/{quote_id}/mail-messages": {"get": {"operationId": "getPipedriveMailMessages", "summary": "Get Pipedrive Mail Messages", "parameters": [{"in": "path", "name": "quote_id", "schema": {"title": "Quote Id", "type": "string"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/GetDealMailMessagesResponse"}}}}}, "tags": ["quotes"]}}, "/api/quotes/{quote_id}/sms-messages": {"get": {"operationId": "getPipedriveSmsMessages", "summary": "Get Pipedrive Sms Messages", "parameters": [{"in": "path", "name": "quote_id", "schema": {"title": "Quote Id", "type": "string"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/GetMessagesResponseModel"}}}}}, "tags": ["quotes"]}, "post": {"operationId": "sendSmsMessage", "summary": "Send Sms Message", "parameters": [{"in": "path", "name": "quote_id", "schema": {"title": "Quote Id", "type": "string"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/Message"}}}}}, "tags": ["quotes"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/SendSmsSchema"}}}, "required": true}}}, "/api/quotes/{quote_id}/sms-template-context": {"get": {"operationId": "getSmsTemplateContext", "summary": "Get Sms Template Context", "parameters": [{"in": "path", "name": "quote_id", "schema": {"title": "Quote Id", "type": "string"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/SmsTemplateContextSchema"}}}}}, "tags": ["quotes"]}}, "/api/quotes/{quote_id}/send-quote-email": {"post": {"operationId": "sendQuoteEmail", "summary": "Send Quote Email", "parameters": [{"in": "path", "name": "quote_id", "schema": {"title": "Quote Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/ApiSuccessSchema"}}}}}, "tags": ["quotes"]}}, "/api/quotes/{quote_id}/update-address": {"post": {"operationId": "updateQuoteAddress", "summary": "Update Quote Address", "parameters": [{"in": "path", "name": "quote_id", "schema": {"title": "Quote Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"items": {"$ref": "#/components/schemas/UpdateAddressResponse"}, "title": "Response", "type": "array"}}}}}, "tags": ["quotes"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/UpdateAddressSchema"}}}, "required": true}}}, "/api/quotes/{quote_id}/update-homeprops": {"post": {"operationId": "updateQuoteHomeProps", "summary": "Update Quote Home Props", "parameters": [{"in": "path", "name": "quote_id", "schema": {"title": "Quote Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"items": {"$ref": "#/components/schemas/UpdateHomePropsResponse"}, "title": "Response", "type": "array"}}}}}, "tags": ["quotes"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/UpdateHomePropsSchema"}}}, "required": true}}}, "/api/quotes/{quote_id}/duplicate": {"post": {"operationId": "duplicateQuote", "summary": "Duplicate Quote", "parameters": [{"in": "path", "name": "quote_id", "schema": {"title": "Quote Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/DuplicateQuoteResponse"}}}}}, "tags": ["quotes"]}}, "/api/quotes/{quote_id}/manj": {"get": {"operationId": "getManjResult", "summary": "Get Manj Result", "parameters": [{"in": "path", "name": "quote_id", "schema": {"title": "Quote Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"anyOf": [{"$ref": "#/components/schemas/ManJResultSchema"}, {"additionalProperties": true, "type": "object"}], "title": "Response"}}}}}, "description": "Get existing ManJ result from deal", "tags": ["quotes"]}, "post": {"operationId": "calcManj", "summary": "Calc Manj", "parameters": [{"in": "path", "name": "quote_id", "schema": {"title": "Quote Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/ManJResultSchema"}}}}}, "description": "A mutation to calculte the manj ", "tags": ["quotes"], "requestBody": {"content": {"application/json": {"schema": {"$ref": "#/components/schemas/AuthSizingRequest"}}}, "required": true}}}, "/api/quotes/{quote_id}/manj/stations": {"get": {"operationId": "listManjStations", "summary": "List Manj Stations", "parameters": [{"in": "path", "name": "quote_id", "schema": {"title": "Quote Id", "type": "integer"}, "required": true}, {"in": "query", "name": "limit", "schema": {"default": 12, "title": "Limit", "type": "integer"}, "required": false}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"items": {"$ref": "#/components/schemas/StationSchema"}, "title": "Response", "type": "array"}}}}}, "description": "Nearest weather stations to this deal's address, for the selection dropdown.", "tags": ["quotes"]}}, "/api/quotes/{quote_id}/outline": {"get": {"operationId": "getOutline", "summary": "Get Outline", "parameters": [{"in": "path", "name": "quote_id", "schema": {"title": "Quote Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"anyOf": [{"$ref": "#/components/schemas/OutlineResultSchema"}, {"additionalProperties": true, "type": "object"}], "title": "Response"}}}}}, "description": "Return the current roof-footprint outline for this quote's service location.", "tags": ["quotes"]}}, "/api/quotes/{quote_id}/detect-outline": {"post": {"operationId": "detectOutline", "summary": "Detect Outline", "parameters": [{"in": "path", "name": "quote_id", "schema": {"title": "Quote Id", "type": "integer"}, "required": true}], "responses": {"200": {"description": "OK", "content": {"application/json": {"schema": {"$ref": "#/components/schemas/DetectOutlineResponse"}}}}}, "description": "Detect the home's roof footprint from satellite imagery, persist it for\nthe service location, and optionally re-run Manual J.", "tags": ["quotes"], "requestBody": {"content": {"application/json": {"schema": {"allOf": [{"$ref": "#/components/schemas/DetectOutlineRequest"}]}}}, "required": false}}}, "/api/quotes/{quote_id}/outline-correction": {"post": {"operationId": "saveOutlineCorrection", "summary": "Save Outline Correction", "param
[...]
